Skip to main content
Transactions

Update transaction

For most users, this endpoint is not needed. Transactions are normally synced (and updated) automatically once a financial connection is established. We do not recommend editing transactions manually unless you have a good reason, as this can lead to inconsistencies in your data.

PUT
/finance/transactions/{transactionId}
Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

transactionIdintegerrequired

The transaction ID

Body

application/json
additional_data_structuredstring | null

An umbrella datapoint used for information that is outside of Berlin Group specification, such as bank- or country-specific fields.

additional_informationstring | null

Might be used by the financial institution to transport additional transaction related information.

additional_information_structuredstring | null
amountnumber

The amount of the transaction as billed to the account.

balance_after_transactionnumber | null

The account balance after this transaction. Recommended balance type is INTERIM_BOOKED.

bookedboolean | null

Whether the transaction is booked (cleared) or not. If false, the transaction is pending.

booking_datestring

The date when an entry is posted to an account on the financial institutions books. Booking date is required if value date is not provided.

booking_datetimestring | null

The date and time when an entry is posted to an account on the financial institutions books.

codesobject
creditorobject
currencystring

ISO 4217 currency code.

Required string length: 3 - 3
Pattern: ^[A-Z]{3}$
currency_exchangeobject
debtorobject
external_identifiersobject
financial_account_idinteger

The ID of the financial account this transaction belongs to. Scoped to the caller's own accounts so a transaction can't be reassigned into another user's account.

remittance_informationobject
ultimate_creditorstring | null
ultimate_debtorstring | null
value_datestring

The date at which assets become available to the account owner in case of a credit. Value date is required if booking date is not provided.

value_datetimestring | null

The date and time at which assets become available to the account owner in case of a credit.

Response

application/json
dataobjectrequired
messagestringrequired